/* PARAMETROS ESENCIALES Y GENERALES */
:root {
  --font-p-size: 1.8rem;
  --azul-cristal: 143, 191, 255;
  --pacific-blue: #4BB8FA;
  --azul-boton: #88C1F2;
  --azul-background: #fff;

  --blanco: #EFF8E2;

  --negro: #000000;

  --links: #b44555;

  --nav-a-size: 1.2rem; 
}

@font-face {
    font-family: 'Cagliostro';
    src: url('/assets/Cagliostro-Regular.woff2') format('woff2'),
        url('/assets/Cagliostro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Hubballi';
    src: url('/assets/Hubballi-Regular.woff2') format('woff2'),
        url('/assets/Hubballi-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


*{
    border: 0;
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html, body{

    overflow-x:hidden;

}

li {
    list-style-type: none;
    padding: 0rem;
}

body{
    font-family:Arial, sans-serif;
    background:var(--azul-background);
    color: var(--negro);
    line-height:1.6;
}

/* HEADER */

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 150px;
    background: var(--pacific-blue);
    position: relative;
}

nav ul {
    display: flex;
    gap: 20px;
    list-style: none;
}

nav a {
    text-decoration: none;
    color: var(--negro);
    font-weight: bold;
}

/* Botón hamburguesa oculto en escritorio */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 2rem;
    cursor: pointer;
}

.logo{
    padding-top: 0rem;
    padding-bottom: 0rem;
    
}

.logo h1{
    font-family: 'Cagliostro';
    color: var(--negro);
}

nav ul{
    list-style:none;
    display:flex;
    gap: 2rem;
}

nav a{
    text-decoration:none;
    font-size: var(--nav-a-size);
    color:var(--negro);
    font-family: 'Cagliostro';
}

/* HERO */

.hero{
    text-align:center;
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-right: 2rem;
    padding-left: 2rem;
}

/*bloque imagen y texto */
#section-informacion-cabecera{
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    margin-bottom: 4rem;

    border: 8px solid rgba(var(--blanco), 0.2);
    border-radius: 5px;

    width: 100%; /*Aqui se controla el ancho del box contenedor de la imagen y texto */

    background-color: rgba(var(--azul-cristal), 0.5);

    gap: 2rem;

    
}

#galeria-cabecera{
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

#gallery img{
    display: inline-flex;
    justify-content: center;
    margin: 0.2rem;
    width: 250px;
    border-radius: 5px;

    box-shadow: -5px 5px 0px var(--rojo--nuevo);

}

#section-texto-cabecera{
    width: 35%;
}

#section-texto-cabecera h2{
    color: var(--negro);

}
#section-texto-cabecera p{
    color: var(--negro);
    flex-wrap: nowrap;

}


.hero h2{
    font-size:40px;
    margin-bottom:20px;
}

.hero p{
    max-width:700px;
    margin:auto;
}

.btn{
    display:inline-block;
    margin-top:20px;
    background:var(--negro);
    color:var(--blanco);
    padding:12px 25px;
    text-decoration:none;

    border: 1px solid var(--blanco);
    border-radius: 5px;
}

/* SECCIONES */

section{
    padding:60px 40px;
}

section h2{
    text-align:center;
    margin-bottom:30px;
}


/* GRID NOVEDA */

.grid-natalicios{
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 0;
    margin: 0;
    border: 0;

    gap: 5rem;
}

.grid-novedad1{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:20px;

    padding-top: 2rem;
    padding-bottom: 2rem;
}

.grid-novedad2{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:20px;

    padding-top: 2rem;
    padding-bottom: 2rem;
}

/* NOVEDAD */

.grid-novedad1 img{
    display: block;
    width: 100%;
    height:400px;
    object-fit:cover;
    border-radius: 5px;
    
    box-shadow: -5px 5px 0px var(--pacific-blue);
}


.grid-novedad2 img{
    width:100%;
    height:200px;
    object-fit:cover;
    border-radius: 5px;
    
    box-shadow: -5px 5px 0px var(--pacific-blue);
}


.novedad h3{
    display: flex;
    justify-content: center;
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 2rem;
}


/* SERVICIOS */

.servicios{
    padding-top: 0rem;
}
.servicios h2{
    padding-bottom: 2rem;
}

.contenedor-servicios{
    display:flex;
    gap:20px;
    justify-content:center;
    flex-wrap:wrap;
}

.card{
    width:350px;
    border: 2px solid var(--pacific-blue);
    padding:20px;
}

/* PRODUCTOS */

.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:20px;
}


.producto{
    border: 1px solid var(--pacific-blue);
    padding:15px;
    text-align:center;
    border-radius: 5px;
    background-color: var(--pacific-blue);
}

.producto img{
    width:100%;
    height:250px;
    object-fit:cover;
}

/* AVISO */

.aviso{
    background: var(--pacific-blue);
}

.aviso p{
    max-width:900px;
    margin:10px auto;
    text-align:center;
}

/* GALERÍA */

.galeria img{
    width:100%;
    height:500px;
    object-fit:cover;
    border-radius: 5px;
    
    box-shadow: -5px 5px 0px var(--pacific-blue);
}


.galeria p{
    display: flex;
    justify-content: center;
    padding-top: 1rem;
    padding-bottom: 2rem;
}

/* TESTIMONIOS */

.testimonio{

    max-width:800px;
    margin:20px auto;
    border: 1px solid var(--links);
    border-radius: 5px;
    padding:20px;
}

.titulo-opiniones{
    margin-bottom: 0;
}

.importacion-comentarios{
    text-align: center;
    padding-top: 0;
    padding-bottom: 2rem;
}

#star{
    color: gold;
}

/* CONTACTO */

.contacto{
    text-align:center;
    background-color: var(--pacific-blue);
}

#redes {
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}

.redes {
    display: flex;
    padding: 0rem;
    width: 30px;
}


.card,
.producto,
.testimonio,
.aviso{
    opacity:0;
    transform:translateY(40px);
    transition: 0.5s;
}

.mostrar{
    opacity:1;
    transform:translateY(0);
}

.header-scroll{
    box-shadow:0 2px 15px rgba(0,0,0,.15);
}

#btnTop{
    position:fixed;
    right:20px;
    bottom:20px;
    width:50px;
    height:50px;
    border:none;
    cursor:pointer;
    display:none;
    border-radius:50%;
}

/* FOOTER */

footer{
    background:#222;
    color:var(--pacific-blue);
    text-align:center;
    padding:20px;
}

/* ==========================
   VERSION MOVIL
   ========================== */

@media screen and (max-width: 768px){

    header {
        justify-content: space-between;
        padding: 15px 50px;
    }

    .menu-toggle {
        display: block;
    }

    nav {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: var(--blanco);
        box-shadow: 0 5px 10px rgba(0,0,0,.1);
    }

    nav.active {
        display: block;
    }

    nav ul {
        flex-direction: column;
        gap: 0;
    }

    nav li {
        border-bottom: 1px solid #eee;
    }

    nav a {
        display: block;
        padding: 15px 20px;
    }


    /* Contenedor principal */
    #section-informacion-cabecera{
        flex-direction: column;
        width: 100%;
        padding: 1rem;
        gap: 1.5rem;
    }

    /* Galeria */
    #gallery img{
        width: 100px;
        border-radius: 5px;
    }
 

    /* Texto */
    #section-texto-cabecera{
        width:100%;
        text-align:center;
    }

    #section-texto-cabecera h2{
        font-size:2.2rem;
    }

    #section-texto-cabecera p{
        font-size:1rem;
        padding:0 1rem;
    }

    /* Boton */

    .btn{
        padding:12px 20px;
    }

    .grid-natalicios{
    display: block;

    }

    .grid-novedad1 img{
    display: block;
    width: 100%;
    height:200px;
    object-fit:cover;
    border-radius: 5px;
    
    box-shadow: -5px 5px 0px var(--pacific-blue);
}



}